Bug 243940 - RFE: support for initscripts-specific locale settings
RFE: support for initscripts-specific locale settings
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-12 17:05 EDT by Jiri TRAVNICEK, alias JITR {temporarily not reading bugmail}
Modified: 2009-03-11 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 12:54:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed implementation (645 bytes, patch)
2007-06-12 17:05 EDT, Jiri TRAVNICEK, alias JITR {temporarily not reading bugmail}
no flags Details | Diff

  None (edit)
Description Jiri TRAVNICEK, alias JITR {temporarily not reading bugmail} 2007-06-12 17:05:03 EDT
Description of problem:

This is RFE proposes enhancements that allows system administrator to set a
locale for initscripts which is independent of the system-wide setting (set in
`/etc/sysconfig/i18n'.

Note: This was created on CentOS 4 but applies to REHL 4 as well (initscripts
package are quite the same in both distros -- the CentOS modifications are
minimal and should cause no difference in this regard).


Version-Release number of selected component (if applicable):

7.93.29.EL-1 (actually 7.93.29.EL-1.centos4)


Additional info:

With the current implementation, the initscripts already support locale settings
which are taken from the above mentioned system-wide configuration. The same
system-wide config also constitutes default setting for any user who doesn't
override them with his own settings in `~/.i18n'.

This can prove to be a problem if the admin likes to use a locale for the init
scripts (including the services which don't set supply own setup) that is
different from what a typical user would expect. For example, I don't like to
see the boot and shutdown messages in Czech. (Have a dislike against localised
messages in general and additionally there are still some bugs with the fonts
and the like.) So I prefer the messages in English. But a typical user may
expect a Czech locaele since we're in Czech republic. ;-)

Therefore I propose (and also provide a patch) which provides the ability to set
a different locale for the initscripts that is independent from the system-wide
config. If there's no specific setting, the system-wide values are used. That
means the change is backwards compatible.

It is possible to override the `LANG' and `LC_MESSAGES' variables. `LC_MESSAGES'
is provided for those who only care about the messages. It has proved useful to
me to use the Czech locale and only override `LC_MESSAGES' to English.

The settings are taken from the `/etc/sysconfig/i18n' as usually, but two new
variables are recognized. They're `LANG_INIT' `LC_MESSAGES_INIT' and if set,
they override `LANG' and `LC_MESSAGES' respectively.
Comment 1 Jiri TRAVNICEK, alias JITR {temporarily not reading bugmail} 2007-06-12 17:05:03 EDT
Created attachment 156828 [details]
proposed implementation
Comment 2 Jiri TRAVNICEK, alias JITR {temporarily not reading bugmail} 2007-06-12 17:08:12 EDT
Forgot to mention a bug 161075 which, is similar but still different. This
proposal should be less tricky and should *not* break anything.
Comment 3 Florian La Roche 2007-07-25 10:25:11 EDT
I think this is a really good RFE. I want all system ids and startup scripts to
run under a special system locale. Only normal users get a different locale and
translations.

Maybe /etc/sysconfig/i18n could be replaced with a longer shell script to
make this happen.

+1 to get this as an option where some parts of the system get translations,
but bootup stays in en_US locale. Some system daemons already allow an
override of this, but this should be a generic option for all services.

regards,

Florian La Roche

Comment 4 Bill Nottingham 2007-07-25 13:56:14 EDT
I'm still not convinced of the need for it; if you want the system locale to be
en_US, then set it that way; users can still set their own locale in a variety
of ways.
Comment 5 Jiri TRAVNICEK, alias JITR {temporarily not reading bugmail} 2007-07-26 07:57:23 EDT
Bill, you're right that the user can set up his own locale. But the typical user
may (and I believe also will) expect the administrator to provide a suitable
default.

By suitable default, one would probably mean the locale used in the local
country (unless the system is being used by users from different countries; this
may make things a bit more complicated). Such locale may often be different from
`en_US'.

As reasoned in the first paragraph, I consider it useful to be able to provide a
suitable (particularly non-`en_US') default while still being able to use
`en_US' for the system startup.
Comment 6 Bill Nottingham 2009-03-11 12:54:57 EDT
Apologies for the delay in response.

At this stage in the lifecycle of Red Hat Enterprise Linux 4, with the goal of mantaining stability and consistency for our custormers, we are only adding critical bugfixes and security fixes; this issue would not qualify under those criteria. Hence, marking this as WONTFIX for RHEL 4.

Again, apologies for the inconvenience.

Note You need to log in before you can comment on or make changes to this bug.